Bug 161911 - One-step adding of test-mode Hudson server
One-step adding of test-mode Hudson server
Status: RESOLVED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Hudson
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jesse Glick
issues@connecteddeveloper
:
Depends on: 214210
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-03 16:16 UTC by Jesse Glick
Modified: 2012-06-14 13:08 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2009-04-03 16:16:45 UTC
Would be nice if from the Hudson Builders node you could select a context menu item which would

1. Run: javaws https://hudson.dev.java.net/hudson.jnlp

2. Somehow wait for it to download and start.

3. Add a server: http://localhost:8080/ (probably called "Test", with 1-minute auto refresh)

Would make it very easy for people to begin playing with Hudson and the NetBeans integration together.
Comment 1 kohsuke 2009-04-03 16:31:55 UTC
JNLP execution of Hudson is basically just doing "java -jar hudson.war", so an easier way for you to control the start
up would be to download the war yourself. 

The start up of Hudson can be checked by repeatedly requesting the top page until the HTTP status change from 503
(service unavailable) to something else.
Comment 2 Jesse Glick 2009-09-04 01:36:21 UTC
cdev #1997ea38cb80
Comment 3 Quality Engineering 2009-09-07 09:57:53 UTC
Integrated into 'main-golden', will be available in build *200909041634* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/1997ea38cb80
User: Jesse Glick <jglick@netbeans.org>
Log: #161911: easy way to download, run, and connect to latest Hudson release.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo